<?xml version="1.0"?>

<f:view xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:ct="http://www.chartistjsf.org/charts"
	xmlns:c="http://java.sun.com/jstl/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:jsf="http://xmlns.jcp.org/jsf"
	>
	<h:head>
		<h:outputStylesheet library="css" name="projectoverview.css" />
		<h:outputStylesheet library="css" name="w3.css" />
	</h:head>
	<h:body>
	<f:metadata>
          <f:event type="preRenderView" listener="#{projectOverviewBean.onPageLoad}"/>
    </f:metadata>
    <!-- Main View -->
	<div id="project-overview-grid">
	    <h:form id="projectoverviewform">
    	<ui:repeat value="#{projectOverviewBean.getAllProjects()}" var="entry">
    		<div class="w3-half w3-container w3-padding-small">
	    	<div class="w3-card-4">
				<img src="#{entry.titleImgRef}"  style="width:100%; height:280px;"/>
			<div class="w3-container w3-blue w3-padding">
			  <H4>#{entry.title}</H4>
			</div>
			<div class="w3-container w3-margin-top" style="height:40px;">
			  <p>#{entry.description}</p>
			</div>

			<footer class="w3-container w3-blue">
			<div class="w3-bar">
		  		<a class="w3-bar-item w3-button w3-padding-small w3-border-left w3-border-right" style="float: right;"
		  		href="#{entry.getPageUrl()}">Betrachten</a>

				<ui:fragment rendered="#{projectOverviewBean.isAdmin()}">
			  		<button class="w3-bar-item w3-button w3-padding-small w3-border-left w3-border-right" style="float:left;"
					 jsf:action="#{projectOverviewBean.deleteOnClick(entry.getProjectId())}" jsf:process="@form">Löschen</button>
				 </ui:fragment>
		  	</div>
		</footer>
			</div>
			</div>
		</ui:repeat>
		</h:form>
	</div>

	<!-- Options -->
			<div class="w3-bar w3-light-grey w3-padding-small">
			<ui:fragment rendered="#{projectOverviewBean.isAdmin()}">

			<button class="w3-button w3-large w3-circle w3-xlarge w3-ripple w3-blue" style="float: right;"
				onclick="document.getElementById('projectInputModal').style.display='block'"> + </button>
			 </ui:fragment>
		</div>

    <!-- Input Modal -->
		<div id="projectInputModal" class="w3-modal">
		<h:form id="projectInputModalForm" enctype="multipart/form-data">
		  <div class="w3-modal-content w3-animate-opacity">
		    <header class="w3-container w3-blue">
		      <h2>New Project</h2>
		    </header>

		    <div class="w3-container w3-padding-small">
		          <p style="padding-bottom:20px" >
				  <p:inputText class="w3-input w3-animate-input " type="text" style="width:40%"
					  value="#{projectOverviewBean.newProjectTitle}"  placeholder="Titel des neuen Projekts hier angeben."  />
				  </p>

				  <p  style="padding-bottom:15px">
				  <p:inputText class="w3-input w3-animate-input" type="text" style="width:40%"
				  	 value="#{projectOverviewBean.newProjectDescription}" placeholder="Beschreibung des neuen Projekts hier angeben." />
				  </p>

				  <!-- Categories -->
				      <p:dataTable value="#{projectOverviewBean.categories}" var="category">
					        <p:column headerText="Name der Kategorie"><h:inputText value="#{category.categoryName}" /></p:column>
					        <p:column headerText="Beschreibung der Kategorie"><h:inputText value="#{category.categoryDescription}" /></p:column>
					        <p:column headerText="Aktionen"><h:commandButton value="entfernen" action="#{projectOverviewBean.removeCategory(category)}" /></p:column>
					    </p:dataTable>
					    <p:commandButton value="Kategorie hinzufügen" action="#{projectOverviewBean.addCategory}" />

				  <!--  publish and upload -->
					 <h:panelGrid columns="3" style="margin-bottom:10px" cellpadding="5">
					<h:outputText value="Publish immediately" style="font: 15px Verdana" />
					<p:spacer width="5"/>
				   <p:selectBooleanCheckbox value="#{projectOverviewBean.newProjectPublish}" style="padding-top:10px"/>
					</h:panelGrid>
		    	</div>
					<div class="w3-left-align w3-padding-small"><p>Select a title picture for your project</p></div>
						<p:fileUpload id="fileUpload" fileUploadListener="#{projectOverviewBean.upload}" mode="advanced" dragDropSupport="true"
          						sizeLimit="10000000" allowTypes="/(\.|\/)(gif|jpe?g|png)$/" fileLimit="1"/>

		    <footer class="w3-container w3-grey">
		      <div class="w3-bar">
				<p:commandButton value="Submit" id="submitBtnProject"
				onclick="document.getElementById('projectInputModal').style.display='none'"
				actionListener="#{projectOverviewBean.createNewProject}" styleClass="ui-priority-primary" style="float:right;">
				</p:commandButton>

				<p:button value="Cancel" id="cancelBtnProject"
				onclick="document.getElementById('projectInputModal').style.display='none'">
				</p:button>
		  	</div>
		    </footer>

		  </div>
		  </h:form>
		</div>

	</h:body>
</f:view>

